Package org.opensaml.security.messaging

# Class ClientTLSSecurityParametersContext

java.lang.Object
org.opensaml.messaging.context.BaseContext
org.opensaml.security.messaging.ClientTLSSecurityParametersContext

All Implemented Interfaces:
  `Iterable<BaseContext>`

public final class ClientTLSSecurityParametersContext extends BaseContext
Messaging context implementation for holding parameters related to validating client TLS `X509Credential` instances.

## Nested Class Summary

## Nested classes/interfaces inherited from class org.opensaml.messaging.context.BaseContext

`BaseContext.ContextSetNoRemoveIteratorDecorator, BaseContext.DeprecatedContextClassNameLookAside`

## Field Summary

Fields
Modifier and Type
Field
Description
`private boolean`
`evaluateClientCertificate`
Flag indicating whether to evaluate the certificate presented by the TLS client.
`private ClientTLSValidationParameters`
`validationParameters`
A `ClientTLSValidationParameters` instance.

## Constructor Summary

Constructors
Constructor
Description
`ClientTLSSecurityParametersContext()`

## Method Summary

Modifier and Type
Method
Description
`ClientTLSValidationParameters`
`getValidationParameters()`
Get an instance of `ClientTLSValidationParameters`.
`boolean`
`isEvaluateClientCertificate()`
Determine whether to evaluate the certificate presented by the TLS client.
`ClientTLSSecurityParametersContext`
`setEvaluateClientCertificate(boolean flag)`
Set whether to evaluate the certificate presented by the TLS client.
`ClientTLSSecurityParametersContext`
`setValidationParameters(ClientTLSValidationParameters params)`
Set an instance of `ClientTLSValidationParameters`.

### Methods inherited from class org.opensaml.messaging.context.BaseContext

`addSubcontext, addSubcontext, clearSubcontexts, containsSubcontext, createSubcontext, ensureSubcontext, ensureSubcontext, getParent, getSubcontext, getSubcontext, getSubcontext, getSubcontext, iterator, removeFromParent, removeSubcontext, removeSubcontext, setParent`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.lang.Iterable

`forEach, spliterator`

## Field Details

### validationParameters

@Nullable private ClientTLSValidationParameters validationParameters
A `ClientTLSValidationParameters` instance.

### evaluateClientCertificate

private boolean evaluateClientCertificate
Flag indicating whether to evaluate the certificate presented by the TLS client.

## Constructor Details

### ClientTLSSecurityParametersContext

public ClientTLSSecurityParametersContext()

## Method Details

### isEvaluateClientCertificate

public boolean isEvaluateClientCertificate()
Determine whether to evaluate the certificate presented by the TLS client.

Defaults to: `true`

Returns:
  true if should evaluate, false otherwise

### setEvaluateClientCertificate

@Nonnull public ClientTLSSecurityParametersContext setEvaluateClientCertificate(boolean flag)
Set whether to evaluate the certificate presented by the TLS client.

Defaults to: `true`

Parameters:
  `flag` - true if should evaluate, false otherwise
Returns:
  this context

### getValidationParameters

@Nullable public ClientTLSValidationParameters getValidationParameters()
Get an instance of `ClientTLSValidationParameters`.

Returns:
  return the parameters instance, may be null

### setValidationParameters

@Nonnull public ClientTLSSecurityParametersContext setValidationParameters(@Nullable ClientTLSValidationParameters params)
Set an instance of `ClientTLSValidationParameters`.

Parameters:
  `params` - the parameters instance to set, may be null
Returns:
  this context